List of shipments

Get paginated list of shipments for the specified user (uses provided token to determine user). You can specify page size and page number to get entire list. Default page size will try to get all results and can fail if the result set is large
Sample Curl
curl --location 'https://mygatewayurl.com/V1/storeview/default/dashboard/shipments?searchCriteria[filterGroups][0][filters][0][value]=3&searchCriteria[filterGroups][0][filters][0][field]=order_id&searchCriteria[filterGroups][0][filters][0][conditionType]=eq&searchCriteria[currentPage]=1&searchCriteria[pageSize]=2'
Sort can be performed on entity_id ascending and descending. A higher entity_id is a newer invoice.
Sample Curl
curl --location 'https://mygatewayurl.com/V1/storeview/default/dashboard/shipments?searchCriteria[filterGroups][0][filters][0][value]=3&searchCriteria[filterGroups][0][filters][0][field]=order_id&searchCriteria[filterGroups][0][filters][0][conditionType]=eq&searchCriteria[sortOrders][0][field]=entity_id&searchCriteria[sortOrders][0][direction]=desc'
You can get the last five invoice by specifying 5 as page-size parameter.
Sample Curl
curl --location 'https://mygatewayurl.com/V1/storeview/default/dashboard/shipments?searchCriteria[currentPage]=1&searchCriteria[pageSize]=5&searchCriteria[filterGroups][0][filters][0][value]=3&searchCriteria[filterGroups][0][filters][0][field]=order_id&searchCriteria[filterGroups][0][filters][0][conditionType]=eq'

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

The Store view code refers to a specific store view within a store. A marketplace can have multiple websites, each website can have multiple stores, and each store can have multiple store views. Available store view codes are listed in the admin portal under Stores > Settings > All Stores. For example, the store view code for the French store view might be fr

Query Params
number

The page number to retrieve.

number

Number of results to return per page.

Responses

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json